## COMMAND LINE KEYWORDS and PARAMETERS

Used with the LOAD <driver> command (in net.cfg or startnet.bat)

NOTE: For servers, use this format: command=parameter

For clients, use this format: command parameter (no equal sign)
Examples:
(SERVER) Load CE100b Speed=100 ForceDuplex=2 Name=eo83
(CLIENT) Load CE100b Speed 100 ForceDuplex 2 Name eo83
SPEED: Syntax:
For Servers: SPEED=n (where n = 10 or 100)
For Clients: SPEED n (where n = 10 or 100)
Default: 10, the adapter automatically senses speed. If unable to autosense (including no network cable), default=10
NOTE: Match the speed/duplex of your switch (if set). If you don't have an auto-negotiating switch and are forcing the duplex mode, you must specify the speed.

NOTE: You must set the SPEED parameter to either 10 or 100 if you're setting the FORCEDUPLEX parameter to either half or full.

FORCEDUPLEX: Syntax:

For Servers: FORCEDUPLEX=n
For Clients: FORCEDUPLEX n
Where n = 0 auto-negotiate (PRO/100+ TX adapter only)
1 half duplex
2 full duplex
Duplex Support and Default listed by Card Type: All PRO/100+ & PRO/100B TX: Full and Half, 10&100 Default:auto PRO/100B T4: 100 half, both at 10 (no autonegotiation, no nway) PRO/10+ PCI: full on the TPE connector only (no autonegotiation) Default: half duplex.

Auto-negotiate: The adapter negotiates with the switch whether to use full or half duplex. If unsuccessful, the adapter defaults to half duplex. You must have an auto-negotiating switch (an Nway* switch) to get full duplex support using autonegotiation.

Full duplex: The adapter sends and receives packets at the same time. This improves the performance of your adapter.

Half duplex: The adapter communicates in one direction at a time. It either sends or receives.

Note: If you use the FORCEDUPLEX command, you must also set the SPEED parameter to either 10 or 100. (see SPEED above).

SLOT: Syntax: SLOT=n (required only when multiple adapters are installed) where n = 1,2,3,4,...)

For PCI adapters, SLOT is derived from bus number and device location as defined by the PCI specification and NBI. One way to determine the slot number is to load the driver from the command line. You'll be prompted with valid device number(s) for the adapter(s). Select one of them.

FRAME: Syntax: FRAME=n

where n = Ethernet_802.2
Ethernet_802.3
Ethernet_II
Ethernet_SNAP
Default: Ethernet_802.2
Configures the adapter to process the valid NetWare Ethernet frame types.

TXTHRESHOLD: Syntax: TXTHRESHOLD(=)n (n = number of 8 bytes).
Default: dynamically set
Represents the threshold for transmits from extender SRAM FIFO (output buffer). If n=16 then the bytes are set at 128 (16x8). In this case, the LAN controller transmits after copying 128 bytes from the host memory. The maximum number that you can specify is 200 (200x8=1600 bytes) which ensures there will not be any underruns.

EARLYRECV (client ONLY): Syntax: EARLYRECV n
Where n = 0 disables early receives
1 enables early receives
Default: early receives enabled

This determines whether the driver enables early receives. Early receives allows a frame to start being processed before it is completely received into host memory.

IRQMODE (VLM clients ONLY): Syntax: IRQMODE n
Where n = 0 automatically selects interrupt sharing mode
1 interrupt sharing is disabled
2 interrupt sharing is enabled
Default: 0 automatically selects
This parameter enables or disables interrupt sharing mode of the driver. It has the capability to automatically select the enabled or disabled state depending on system configuration. If the IRQ assigned to the driver is not being shared with another device, then interrupt sharing is disabled. If the IRQ assigned to the driver is being shared, then the interrupt sharing is enabled.

NODE ADDRESS Syntax: NODE=xNxxxxxxxxxx
where N must = 2, 6, A, or E; x = hexadecimal number
Default: The adapter's assigned address (UAA Universal Address)
Specifies a locally administered address (LAA) unique to each adapter. The node address is a 12-digit hexadecimal number; the second digit must be one of the following digits: 2, 6, A, or E.
02AA => LAA, 02 is set by the driver if not specified.
00A0 => Typical Intel address (default)

PROTOCOL (VLM clients ONLY): Syntax: Protocol IPX E0 Ethernet_802.2
Values: E0=Ethernet_802.2
0=Ethernet_802.3
8137=Ethernet_II
8137=Ethernet_SNAP
Indicates the standard protocol in use.